[Unit]
Description=Generate system activity reports
Documentation=man:pmlogger_daily_report(1)
ConditionPathExists=!/etc/cron.d/pcp-pmlogger-daily-report

[Service]
Type=oneshot
Environment="PMLOGGER_DAILY_REPORT_PARAMS=-o /var/log/pcp/sa"
EnvironmentFile=-/etc/sysconfig/pmlogger_timers
ExecStart=/usr/lib/pcp/pcp/bin/pmlogger_daily_report $PMLOGGER_DAILY_REPORT_PARAMS
User=pcp

[Install]
WantedBy=pmlogger.service
